Skip to main content
Get the Skill Profile for a Vacancy
curl --request GET \
  --url https://{tenant_name}.{region}.techwolf.ai/vacancies/{external_id}/skill_profile \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{tenant_name}.{region}.techwolf.ai/vacancies/{external_id}/skill_profile"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenant_name}.{region}.techwolf.ai/vacancies/{external_id}/skill_profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
  "skills": [
    {
      "skill": "Machine Learning",
      "skill_id": "c110316a-41d3-46ef-a35e-dbb27785b1c8"
    },
    {
      "skill": "Python",
      "skill_id": "4b85469d-6729-4d70-9876-a0faa2a2f63b"
    },
    {
      "skill": "Tensorflow",
      "skill_id": "e03c1859-3bae-4700-b2c5-ede2937038de"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

external_id
string<uuid>
required

The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

Query Parameters

response_format
enum<string>
default:list

The format of the response profile.

Available options:
list,
hierarchy
Example:

"list"

vocab_language
enum<string>
default:en_uk

The display language used for Skill names. Altering the vocabulary language does not change the Skill Profile; it solely changes the way it is displayed. If not specified, the default language (en_uk) will be used. The en language is an alias for en_uk. IETF BCP 47 language tags (e.g. fr-FR, zh-CN) are also accepted and mapped to their internal equivalents.

Vendor-specific availability: Only the following languages are available for the default TechWolf vocabulary: en, en_uk, en_us, de, fr, nl. The additional languages (es, fr_ca, it, ja, ko, pt_br, zh_cn, zh_tw, sv, fi, da, no) are only available when the request is scoped to the workday vendor (via external_vendor=workday) and the tenant's Workday vocabulary includes them. Use GET /taxonomy/skills/languages to discover the exact set of languages available for a given vendor in your tenant.

Available options:
en,
en_uk,
en_us,
de,
fr,
nl,
es,
fr_ca,
it,
ja,
ko,
pt_br,
zh_cn,
zh_tw,
sv,
fi,
da,
no
external_vendor
enum<string>
default:techwolf

The external vendor vocabulary you want to see the Skills displayed in. This will only work for vendors that are activated on your tenant.

Available options:
techwolf,
workday,
sap_attribute_library
Example:

"workday"

Response

OK

The default Skill Profile result returned. The profile consists of a list of Skills with scores, with each score representing the importance of the Skill at hand.

external_id
string<uuid>
required

The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

skills
object[]
required

The Skills contained in this profile.

Example:
[
{
"skill": "Machine Learning",
"skill_id": "c110316a-41d3-46ef-a35e-dbb27785b1c8"
},
{
"skill": "Python",
"skill_id": "4b85469d-6729-4d70-9876-a0faa2a2f63b"
},
{
"skill": "Tensorflow",
"skill_id": "e03c1859-3bae-4700-b2c5-ede2937038de"
}
]